package com.ym.controller;

import com.ym.service.ChatroomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by weiqinxiao on 2019/2/25.
 */
@RestController
@RequestMapping("/demotion")
public class DemotionController{

    @Autowired
    ChatroomService chatroomService;

    @RequestMapping(value = "/add", method = RequestMethod.POST)
    public Object add(@RequestBody String[] objectNames) throws Exception {
        return chatroomService.demotionAdd(objectNames);
    }

    @RequestMapping(value = "/remove", method = RequestMethod.POST)
    public Object remove(@RequestBody String[] objectNames) throws Exception {
        return chatroomService.demotionRemove(objectNames);
    }

    @RequestMapping(value = "/getList", method = RequestMethod.POST)
    public Object getList() throws Exception {
        return chatroomService.demotionGetList();
    }
}
